Get set of messages returns wrong hrefs

Bug #1240897 reported by Flavio Percoco on 2013-10-17
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
zaqar
Medium
Feilong Wang

Bug Description

phantom (api-v1*) ~OPENSTACK_DIR/python-marconiclient $ curl 'http://127.0.0.1:8888/v1/queues/test_queue/messages?ids=5c6939bf'
[{"body": "Post It 1!", "age": 30, "href": "/v1/queues/test_queue/messages/messages/5c6939bf", "ttl": 60}]

"href": "/v1/queues/test_queue/messages/messages/5c6939bf" <- double messages

Changed in marconi:
importance: Undecided → Medium
milestone: none → icehouse-1
Changed in marconi:
status: New → Incomplete
status: Incomplete → Confirmed
tags: added: low-hanging-fruit
Feilong Wang (flwang) on 2013-11-21
Changed in marconi:
assignee: nobody → Fei Long Wang (flwang)
Feilong Wang (flwang) wrote :

I can recreate this issue with latest code.

Fix proposed to branch: master
Review: https://review.openstack.org/58092

Changed in marconi:
status: Confirmed → In Progress

Reviewed: https://review.openstack.org/58092
Committed: http://github.com/openstack/marconi/commit/14b02b7685c398138e4b2eb62eac4c4b19256514
Submitter: Jenkins
Branch: master

commit 14b02b7685c398138e4b2eb62eac4c4b19256514
Author: Fei Long Wang <email address hidden>
Date: Sat Nov 23 17:59:01 2013 +0800

    Fixes wrong hrefs when getting set of messages

    Based on current implement, an additional path /messages will be
    added, see http://git.openstack.org/cgit/openstack/marconi/queues
    /transport/wsgi/messages.py#L208
    However, the /messages path has been already included in the URL.
    So this fix just remove it and use req.path directly.

    Fixes bug 1240897

    Change-Id: Ie4bf6d3df62a5b861a8fe8c6392eb8bd6bf57c2c

Changed in marconi:
status: In Progress → Fix Committed
Thierry Carrez (ttx) on 2013-12-19
Changed in marconi:
status: Fix Committed → Fix Released

Fix proposed to branch: master
Review: https://review.openstack.org/64444

Reviewed: https://review.openstack.org/60858
Committed: https://git.openstack.org/cgit/openstack/marconi/commit/?id=52a8ef1667e53dc5abf85169db9111cb2621ae28
Submitter: Jenkins
Branch: master

commit 52a8ef1667e53dc5abf85169db9111cb2621ae28
Author: Malini Kamalambal <email address hidden>
Date: Mon Dec 9 10:27:44 2013 -0500

    Verify response jsonschema for List Messages by ID

    This patch verifies that the API response for List Messages by ID
    matches the expected jsonschema.

    Change-Id: Icd6fcab5d36ce79b8030017eff73815832fedf59
    Tests-Bug: #1240897

Thierry Carrez (ttx) on 2014-04-17
Changed in marconi:
milestone: icehouse-1 → 2014.1
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers